Package xg.md

# Interface ProtocolMetadata.protocolEndpointAddress.ipv4AddressOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolMetadata.protocolEndpointAddress.ipv4Address`, `ProtocolMetadata.protocolEndpointAddress.ipv4Address.Builder`

Enclosing class:
  ProtocolMetadata.protocolEndpointAddress

public static interface ProtocolMetadata.protocolEndpointAddress.ipv4AddressOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getIp()`
canonical IP address.
`ByteString`
`getIpBytes()`
canonical IP address.
`int`
`getPort()`
`uint32 port = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPort

int getPort()
`uint32 port = 1;`

Returns:
  The port.

### getIp

String getIp()

     canonical IP address.  i.e. "192.168.1.1"
     addrA.mutable_ipv4_address()->set_ip("127.0.0.1");

`string ip = 2;`

Returns:
  The ip.

### getIpBytes

ByteString getIpBytes()

     canonical IP address.  i.e. "192.168.1.1"
     addrA.mutable_ipv4_address()->set_ip("127.0.0.1");

`string ip = 2;`

Returns:
  The bytes for ip.